For the complete documentation index, see llms.txt. This page is also available as Markdown.

Policy

List policies

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pageinteger · min: 1 · max: 9007199254740991Optional

Which page to fetch

Default: 1
pageSizeinteger · min: 1 · max: 30Optional

Page size to use

Default: 30
namestringOptional

Search by matching name

isPrivatebooleanOptional

Search private policies

Default: false
currencystring · min: 1 · max: 40Optional

Search by currency

Pattern: ^\w+$
contractAddressstring · nullableOptional

Filter by token contract address (requires 'currency')

tokenIdentifierstringOptional

Filter by token identifier (requires 'currency')

policyTypestring · enumOptional

Filter by policy type: 'single' returns policies with any currency assigned, 'multiple' returns policies without a currency (multicurrency)

Possible values:
sortBystring · enumOptional

Sort by attribute

Default: createdAtPossible values:
sortOrderstring · enumOptional

Sort order

Default: ascPossible values:
Responses
200

Successful response

application/json
pagenumberRequired

Current page

nextnumber · nullableRequired

Next page or null if there is none

prevnumber · nullableRequired

Previous page or null if there is none

pageSizenumberRequired

Max count of items per page

totalnumberRequired

Total count of items

get/policies
GET /rest/policies HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "page": 1,
  "next": 1,
  "prev": 1,
  "pageSize": 1,
  "total": 1,
  "results": [
    {
      "id": "text",
      "legacyId": 1,
      "name": "text",
      "description": "text",
      "asset": {
        "network": "text",
        "contractAddress": "text",
        "tokenIdentifier": "text"
      },
      "isPrivate": true,
      "rules": [
        {
          "reviewSteps": [
            {
              "quorum": 1,
              "userIds": [
                "text"
              ]
            }
          ],
          "threshold": {
            "min": "text",
            "max": "text"
          },
          "whitelistIds": [
            "text"
          ],
          "operationType": "SEND"
        }
      ],
      "whitelists": [
        {
          "id": "text",
          "legacyId": 1,
          "name": "text",
          "type": "TRANSACTION",
          "status": "ACTIVE",
          "addresses": [
            {
              "name": "text",
              "currency": "text",
              "address": "text",
              "destinationTag": "text"
            }
          ],
          "addressCount": 1,
          "createdAt": "text",
          "updatedAt": "text",
          "description": "text"
        }
      ],
      "users": [
        {
          "id": "text",
          "legacyId": 1,
          "legacyViewAll": true,
          "workspaceName": "text",
          "name": "text",
          "deviceUserId": "text",
          "deviceType": "PSD",
          "role": "ADMIN",
          "pubKey": "text",
          "status": "ACTIVE",
          "isSuspended": true,
          "createdAt": "text",
          "updatedAt": "text"
        }
      ],
      "groups": [
        {
          "id": "text",
          "legacyId": 1,
          "name": "text",
          "description": "text",
          "status": "ACTIVE",
          "createdAt": "text",
          "updatedAt": "text",
          "memberIds": [
            "text"
          ]
        }
      ],
      "createdAt": "text",
      "updatedAt": "text",
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  ]
}

Get a single policy

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Id of the target policy

Responses
200

Successful response

application/json

Account policy

idstringRequired

Internal unique identifier

legacyIdnumberRequired

Legacy internal unique identifier (for retro-compatibility)

namestringRequired

Policy name

descriptionstring · nullableRequired

Policy description

isPrivatebooleanRequired

Whether the policy is private

createdAtstringRequired

Creation timestamp

updatedAtstringRequired

Last modification timestamp

Other propertiesanyOptional
get/policies/{id}
GET /rest/policies/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "legacyId": 1,
  "name": "text",
  "description": "text",
  "asset": {
    "network": "text",
    "contractAddress": "text",
    "tokenIdentifier": "text"
  },
  "isPrivate": true,
  "rules": [
    {
      "reviewSteps": [
        {
          "quorum": 1,
          "userIds": [
            "text"
          ]
        }
      ],
      "threshold": {
        "min": "text",
        "max": "text"
      },
      "whitelistIds": [
        "text"
      ],
      "operationType": "SEND"
    }
  ],
  "whitelists": [
    {
      "id": "text",
      "legacyId": 1,
      "name": "text",
      "type": "TRANSACTION",
      "status": "ACTIVE",
      "addresses": [
        {
          "name": "text",
          "currency": "text",
          "address": "text",
          "destinationTag": "text"
        }
      ],
      "addressCount": 1,
      "createdAt": "text",
      "updatedAt": "text",
      "description": "text"
    }
  ],
  "users": [
    {
      "id": "text",
      "legacyId": 1,
      "legacyViewAll": true,
      "workspaceName": "text",
      "name": "text",
      "deviceUserId": "text",
      "deviceType": "PSD",
      "role": "ADMIN",
      "pubKey": "text",
      "status": "ACTIVE",
      "isSuspended": true,
      "createdAt": "text",
      "updatedAt": "text"
    }
  ],
  "groups": [
    {
      "id": "text",
      "legacyId": 1,
      "name": "text",
      "description": "text",
      "status": "ACTIVE",
      "createdAt": "text",
      "updatedAt": "text",
      "memberIds": [
        "text"
      ]
    }
  ],
  "createdAt": "text",
  "updatedAt": "text",
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Last updated